Create Organization
Creates a new Organization in the Tenant.
Creates a new Organization in the Tenant.
apikey<token>
Tenant API Key for authentication
In: query
apisecret<token>
Tenant API Secret for authentication
In: query
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/v2/manage/organizations" \ -H "Content-Type: application/json" \ -d '{}'{
"Display": {
"LogoURL": "https://example.com/logo.jpg",
"Name": "Org1"
},
"Metadata": {
"hello": "world"
},
"Name": "Org1",
"Connections": [
{
"Id": "conn_Z5ZtmHl2aMpi5VZP",
"IsActive": true,
"CreatedDate": "2023-10-01T00:00:00Z",
"GroupRoles": [
{
"GroupId": "eca8da89-09ed-476f-a689-11fa9a0b14ce",
"Name": "Security",
"RoleId": "role_Z6NE1ZkupP7lwD6E",
"Id": "group_role_Z6NFN5kupP7lwD6G"
}
],
"ModifiedDate": "2023-10-01T00:00:00Z",
"Name": "AzureAD",
"Domain": "example.com",
"Attributes": {
"CustomMapping": {
"Gender": "gender"
},
"Email": "email",
"FirstName": "firstName",
"Groups": "groups",
"ID": "sub",
"LastName": "lastName"
},
"IDPEntityId": "https://exampleIdp.com",
"IDPMetadataUrl": "https://exampleIdp.com/metadata.xml",
"IsIDPInitiated": true,
"IDPCertificate": {
"Certificate": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----\n",
"NotAfter": "2023-10-01T00:00:00Z",
"NotBefore": "2023-10-01T00:00:00Z"
},
"ConnectionType": "saml_custom",
"EntityId": "https://example.hub.loginradius.com/saml/sp/Z5ZtBULhXHAJKrLsOmeWbZh5dmjKYuVWTw",
"MetadataUrl": "https://example.hub.loginradius.com/saml/sp/Z5ZtBULhXHAJKrLsOmeWbZh5dmjKYuVWTw/metadata.xml",
"ACSEndpoint": "https://example.hub.loginradius.com/saml/sp/acs/Z5ZtBULhXHAJKrLsOmeWbZh5dmjKYuVWTw",
"SPCertificate": {
"Certificate": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----\n"
}
}
],
"CreatedDate": "2023-10-01T00:00:00Z",
"Domains": [
{
"domain": "example.com",
"isDefault": true
}
],
"Id": "org_Z5ZtBULhXHAJKrLs",
"IsActive": true,
"ModifiedDate": "2023-10-01T00:00:00Z",
"Policies": {
"JITPolicy": {
"Enabled": false
},
"MFAPolicy": {
"EnforcementMode": "optional"
},
"MemberPolicy": {
"DefaultMemberRole": "role_Z5OCrdbNBZ8OzruS"
},
"PasswordPolicy": {
"ExpiryDays": 100,
"MaxLength": 25,
"MinLength": 8,
"RequireLowercase": true,
"RequireNumber": true,
"RequireSpecialChar": true,
"RequireUppercase": true
},
"SessionPolicy": {
"AccessTokenTTL": 14400,
"RefreshTokenTTL": 324345
}
}
}{
"Description": "The Domain is already in use. Please enter a valid Domain.",
"ErrorCode": 7900,
"Message": "A parameter is not formatted correctly."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "Organization exists with the same name. Use a different organization name.",
"ErrorCode": 8116,
"Message": "Organization exists with the same name"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}